<template>
  <v-navigation-drawer
    v-model="openedSettings"
    location="right"
    color="grey-darken-4"
    width="500"
  >
    <snippets/>
  </v-navigation-drawer>
</template>

<script>
import Snippets from "./Snippets.vue";
import store from '/src/store/store.js'
export default {
  name: "Settings",
  components: {
    Snippets
  },
  emits: ['update:open'],
  props: ['open'],
  computed: {
    actions() {
      return store.getters.getActions;
    },
    openedSettings: {
      get() {
        return this.open
      },
      set(value) {
        this.$emit('update:open', value)
      }
    }
  },
}
</script>